TribesNext

Welcome, Guest. Please login or register.
Did you miss your activation email?


TribesNext >  TribesNext.com Forums >  Support >  The Linux Thread « previous next »
Pages: 1 2 3 [4] 5 6 Print
Author Topic: The Linux Thread
echoed
Nugget
Posts: 8

View Profile
45: June 27, 2009, 08:56:26 AM »
Anyone ever try installing the old Loki Games CD on a Linux machine?
I'm running amd64 and it bombs out on the setup.sh. I know P!nk Panther who
runs a TribesNext server on amd64. I'd like to just set up Tribes 2 in the first place.
I managed to get it to run setup.data/bin/Linux/x86/glibc-2.2/setup.gtk, but
it dies when it tries to find bin/x86/t2launch and fails.

Has anyone ever tried installing on an amd64 arch?
ScratchMonkey
Nugget
Posts: 32

View Profile
46: June 27, 2009, 10:22:31 AM »
Take a look at the Installation section in the Linux Gamers FAQ:

http://icculus.org/lgfaq/
terracon
Nugget
Posts: 20

View Profile
47: July 03, 2009, 01:59:30 PM »
If you want to play TribesNext in Fedora 11 but find the newer Wine doesn't work . Have no fear NewbBlood! Go to http://koji.fedoraproject.org/koji/buildinfo?buildID=77739 and download all the packages there. I've tested this and I'm using wine-1.1.12.If you already have wine installed. Install these packages like so # rpm -Uvh --oldpackage wine-*.rpm . If you don't have wine installed just omit --oldpackage. Apply the patch from earlier in this thread. Run wine like so,  wine Tribes2.exe -online -connect ipaddress  . You can check the web server list for ipaddress's and just insert the address of the server you want to connect to.
Kaer
Nugget
Posts: 6

View Profile
48: August 29, 2009, 02:58:19 AM »
Hi, Ive been following this thread very closely trying to get tribes to work in ubuntu jaunty jackalope running Wine 1.1.19 as suggested.

On a fresh install of TribesGSI.exe into wine. Ive gotten tribes to work, very well, yet with NO tribesnext patch installed. I cant connect to a tribesnext server with the via "-nologin -connect 66.162.166.53" (GoonHaven) in the wine shortcut.

When I start tribes with the Rc2a patch installed, it just wont do anything, Ive tried this t2hack.py, and nothing.

What do I do? Is my env python variable is right in jaunty jackalope.
Kaer
Nugget
Posts: 6

View Profile
49: August 29, 2009, 04:10:57 AM »
Installed Rc1e patch instead of Rc1a and it worked like a charm. : )
Team Inferno Scores!
Now if I can only fix the wierd linux mouse acceleration thats messing up my MA's!
« Last Edit: August 29, 2009, 05:32:30 AM by Kaer »
Kaer
Nugget
Posts: 6

View Profile
50: August 29, 2009, 07:59:34 PM »
Check it out.
<a href="http://www.youtube.com/watch?v=fdyxo_tauNQ" target="_blank">http://www.youtube.com/watch?v=fdyxo_tauNQ</a>
Kaer
Nugget
Posts: 6

View Profile
51: August 29, 2009, 11:08:21 PM »
If you want to speed up wine, or fix the mouse (called MouseWarp....eww). I knew I wasnt crazy.
These sites can help you edit the wine registry.
The video memory key really sped my system up. I guess wine wasnt making use of the 512 available.

http://wiki.winehq.org/UsefulRegistryKeys
http://linuxgamingtoday.wordpress.com/2008/02/16/quick-tips-to-speed-up-your-gaming-in-wine/

Need help? Feel free to email me.
[email protected]

Omnutia
Nugget
Posts: 7

View Profile
52: August 30, 2009, 06:10:06 PM »
I tried following the instructions in the Youtube video's comments and, upon hitting login, I end up getting the message:

Quote
Your game is not running the patched executable.
Close the game and verify the patch was run successfully.

Any ideas on what's causing this or how I could find out?
Running Jaunty and the latest version of Wine from the Wine PPA.
Plexor
Nugget
Posts: 7

View Profile
53: September 11, 2009, 03:25:19 PM »
I tried following the instructions in the Youtube video's comments and, upon hitting login, I end up getting the message:

Quote
Your game is not running the patched executable.
Close the game and verify the patch was run successfully.

Any ideas on what's causing this or how I could find out?
Running Jaunty and the latest version of Wine from the Wine PPA.

I am also having the same error right now.  Anyone figure it out?
Plexor
Nugget
Posts: 7

View Profile
54: September 11, 2009, 07:34:39 PM »
Seems the problem is that ruby isn't working... rubyEval doesn't do anything in the scripts.  I tested it on Wine 1.1.27 and 1.1.29 with the same results.
Turkeh
nil

Posts: 458

View Profile
55: September 11, 2009, 07:42:53 PM »
The TribesNext patch is known to have issues with Wine, RC3 will hopefully address these issues.

I believe RC1e is the only option for Wine/Crossover, unless Wine has since done something funky...

Read the FAQs!

Search before posting support requests.
Plexor
Nugget
Posts: 7

View Profile
56: September 11, 2009, 08:58:23 PM »
I am running RC1e, what is the latest version of wine known to work?
Turkeh
nil

Posts: 458

View Profile
57: September 12, 2009, 05:34:03 AM »
I know 1.1.11 worked (yes, I know it's a major downgrade)...
You'd have to ask some of the other users what they managed to get it working on for more version info.

Read the FAQs!

Search before posting support requests.
Thyth
Apotheosis Incarnate

Posts: 809

View Profile
58: September 12, 2009, 09:33:59 AM »
It is possible that the newer versions of Wine have some incompatiblity with the patching program that the installer uses to modify the Tribes2.exe file. I used some sort of binary delta program for this purpose in the installer (xpatch, I think). If that patching process fails, the executable is not modified to load the new DLL that enables Ruby and the other code patches necessary to play on our system.

In any case, I will investigate more closely for the next releases, and if necessary, build a separate installer for the Wine platform.

Sarcastic, narcissistic, genius, resurrecting the game with brilliant strokes of wizardry.
Kaer
Nugget
Posts: 6

View Profile
59: September 26, 2009, 11:00:38 PM »
Yes, wine 1.0.1 is good good, anything newer is bad bad.
Gets that error up there. ^
Pages: 1 2 3 [4] 5 6 Print 
« previous next »
Jump to:  

irc.quakenet.org / #TribesNext Powered by SMF  © Simple Machines
anything